Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class TabPanelListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.ContainerListenerAdapter
                  com.gwtext.client.widgets.event.PanelListenerAdapter
                      com.gwtext.client.widgets.event.TabPanelListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ContainerListener, PanelListener, TabPanelListener

    public class TabPanelListenerAdapter

extends PanelListenerAdapter
implements TabPanelListener

TabPanelListener adapter class.

Constructor Summary
`TabPanelListenerAdapter()`

Method Summary
`boolean` | `doBeforeTabChange(TabPanel source, Panel newPanel, Panel oldPanel)` Fires before the active tab changes.
`void` | `onContextMenu(TabPanel source, Panel tab, EventObject e)` Fires when the contextmenu event originated from a tab element.
`void` | `onTabChange(TabPanel source, Panel tab)` Fires after the active tab has changed.

Methods inherited from class com.gwtext.client.widgets.event.PanelListenerAdapter
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from class com.gwtext.client.widgets.event.ContainerListenerAdapter
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.PanelListener
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### TabPanelListenerAdapter

    public TabPanelListenerAdapter()

Method Detail

### doBeforeTabChange

    public boolean doBeforeTabChange(TabPanel source,
                                     Panel newPanel,
                                     Panel oldPanel)

  Description copied from interface: `TabPanelListener`
  Fires before the active tab changes. Return false to cancel the tab change.

  Specified by:
    `doBeforeTabChange` in interface `TabPanelListener`
  Parameters:
    `source` - this
    `newPanel` - the new panel
    `oldPanel` - the old panel
  Returns:
    false to cancel the tab change

### onContextMenu

    public void onContextMenu(TabPanel source,
                              Panel tab,
                              EventObject e)

  Description copied from interface: `TabPanelListener`
  Fires when the contextmenu event originated from a tab element.

  Specified by:
    `onContextMenu` in interface `TabPanelListener`
  Parameters:
    `source` - this
    `tab` - the tab
    `e` - the event object

### onTabChange

    public void onTabChange(TabPanel source,
                            Panel tab)

  Description copied from interface: `TabPanelListener`
  Fires after the active tab has changed.

  Specified by:
    `onTabChange` in interface `TabPanelListener`
  Parameters:
    `source` - this
    `tab` - the selected tab

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD